#include "cdll.h"

#if (defined(WIN32) || defined(__CYGWIN__)) && defined(DLL_EXPORT)
char
libcdll_is_dll (void)
{
  return 1;
}
#endif

int 
dll_int_square (int i)
{
  return i * i;
}

double 
dll_double_square (double d)
{
  return d * d;

}

float
dll_float_square (float f)
{
  return f * f;
}

int 
dll_global_int_var = 99;

void
dll_set_global_int_var (int new_value)
{
  dll_global_int_var = new_value;
}

int
dll_get_global_int_var ()
{
  return dll_global_int_var;
}

