#ifndef cdll_h_included
#define cdll_h_included

#if defined(_WIN32) || defined(__CYGWIN__)
#  ifdef DLL_EXPORT
#    define CDLL_SCOPE           __declspec(dllexport)
#  else
#    ifdef LIBCDLL_DLL_IMPORT
#      define CDLL_SCOPE         extern __declspec(dllimport)
#    endif
#  endif
#endif
#ifndef CDLL_SCOPE
#  define CDLL_SCOPE             extern
#endif

extern int dll_int_square (int) ;
extern double dll_double_square (double);
extern float dll_float_square (float);

CDLL_SCOPE int dll_global_int_var;

extern void dll_set_global_int_var (int);
extern int dll_get_global_int_var ();

#endif /* cdll_h_included */

