#include <iostream.h>
#include <stdlib.h>
#include "dllclass.h"
#include "../c/cdll.h"

CXXDLL_SCOPE DllClass global_dllclass1;
CXXDLL_SCOPE DllClass global_dllclass2;
CXXDLL_SCOPE int global_int_variable;

int main () { 
  cout 
    << "Global integer variable = " << global_int_variable << endl
    << "DllClass 1 (Imported from DLL):" << endl
      << "  virtual_method = " << global_dllclass1.virtual_method () << endl
      << "  non_virtual_method = " << global_dllclass1.non_virtual_method () 
        << endl
      << "  instances = " << global_dllclass1.instances << endl
    << "DllClass 2 (Imported from DLL):" << endl
      << "  virtual_method = " << global_dllclass2.virtual_method () << endl
      << "  non_virtual_method = " << global_dllclass2.non_virtual_method () 
        << endl
      << "  instances = " << global_dllclass2.instances << endl;

  DllClass local_dllclass (3);
  cout
    << "DllClass (Local):" << endl
      << "  virtual_method = " << local_dllclass.virtual_method () << endl
      << "  non_virtual_method = " << local_dllclass.non_virtual_method () 
        << endl
      << "  instances = " << DllClass::instances << endl;
  return 0;
}

